Get Cross-Platform IDs for a Track
Resolve cross-platform IDs from any single ID. type accepts chartmetric, isrc, spotify, itunes, tiktok, genius. All domain arrays may be null if the track has no linked ID in that domain.
Path Parameters
- Type: string enumtyperequired
Domain of the input
id. One ofchartmetric,isrc,spotify,itunes,tiktok,genius,amazon,beatport,deezer,qq,shazam,soundcloud,youtube.values- amazon
- beatport
- chartmetric
- deezer
- genius
- Type: stringid
Pattern: ^[a-zA-Z0-9-_]+$requiredID for the domain specified by
type(e.g. a Spotify track ID whentype=spotify, an ISRC whentype=isrc, a Chartmetric numeric ID whentype=chartmetric).
Responses
- application/json
Request Example for get/api/track/{type}/{id}/get-ids
curl 'https://api.chartmetric.com/api/track/amazon/{id}/get-ids' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"obj": [
{
"isrc": "GBWHD0801085",
"chartmetric_ids": [
13106618
],
"spotify_ids": [
"35pIBRfhByXHvWkLBXIloT"
],
"itunes_ids": [
"311034817"
],
"deezer_ids": null,
"amazon_ids": null,
"youtube_ids": null,
"soundcloud_ids": null,
"shazam_ids": null,
"tiktok_ids": [
"Smooth-Criminal-245073415512956928",
"Smooth-Criminal-Instrumental-version-originally-performed-by-Michael-Jackson-6792293516425824257"
],
"beatport_ids": null,
"qq_ids": null,
"genius_ids": null
}
]
}